For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
      • POSTCreate Collection Field
      • PATCHUpdate Collection Field
      • DELDelete Collection Field
      • Field Types & Item Values
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
CMSCollection Fields

Create Collection Field

POST
https://api.webflow.com/beta/collections/:collection_id/fields
POST
/beta/collections/:collection_id/fields
$curl -X POST https://api.webflow.com/beta/collections/580e63fc8c9a982ac9b8b745/fields \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "isRequired": false,
> "type": "RichText",
> "displayName": "Post Body",
> "helpText": "Add the body of your post here"
>}'
1{
2 "id": "562ac0395358780a1f5e6fbc",
3 "isEditable": true,
4 "isRequired": false,
5 "type": "RichText",
6 "displayName": "Post Body",
7 "helpText": "Add the body of your post here"
8}

Create a custom field in a collection.

Field validation is currently not available through the API.

Bulk creation of fields is not supported with this endpoint. To add multiple fields at once, include them when you create the collection.

Required scope | cms:write

Was this page helpful?
Previous

Update Collection Field

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection

Request

The field to create
Static FieldobjectRequired
OR
Option FieldobjectRequired
OR
Reference FieldobjectRequired

Response

Request was successful
Static Fieldobject
OR
Option Fieldobject
OR
Reference Fieldobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error